> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vine.getcourtyard.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Detect providers on a business URL

> Synchronous. Renders the page, runs the 4-layer classifier, and returns detected providers + proposed connections in ~25 seconds.



## OpenAPI

````yaml openapi.json POST /api/v1/detect
openapi: 3.1.0
info:
  title: Vine API
  version: extraction.v1
  description: >-
    Provider detection and extraction service. URL in → structured business data
    out.
servers:
  - url: https://vine.getcourtyard.ai
security:
  - bearerAuth: []
paths:
  /api/v1/detect:
    post:
      summary: Detect providers on a business URL
      description: >-
        Synchronous. Renders the page, runs the 4-layer classifier, and returns
        detected providers + proposed connections in ~25 seconds.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DetectRequest'
      responses:
        '200':
          description: Detected providers.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DetectResponse'
        '401':
          $ref: '#/components/responses/Error'
        '422':
          $ref: '#/components/responses/Error'
        '429':
          $ref: '#/components/responses/Error'
components:
  schemas:
    DetectRequest:
      type: object
      required:
        - url
      additionalProperties: false
      properties:
        url:
          type: string
          format: uri
          description: Business URL.
          example: https://www.mindbodyonline.com/explore/locations/the-sharp-barber
    DetectResponse:
      type: object
      properties:
        schemaVersion:
          type: string
        url:
          type: string
        providers:
          type: array
          items:
            type: string
        connections:
          type: array
          items:
            type: object
        durationMs:
          type: integer
  responses:
    Error:
      description: Error envelope.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: vine_live_… / vine_test_… API key

````